## dolphin-trinity 14.1.5~pre6

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( d3lphin )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )
add_subdirectory( servicemenus )

tde_import( libkonq )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  #${CMAKE_SOURCE_DIR}
  #${CMAKE_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
tde_create_translated_desktop( d3lphin.desktop )
install( FILES d3lphinui.rc DESTINATION ${DATA_INSTALL_DIR}/d3lphin )


##### d3lphin (executable) ######################

tde_add_executable( d3lphin AUTOMOC
  SOURCES
    bookmarkselector.cpp bookmarkssettingspage.cpp
    bookmarkssidebarpage.cpp
    detailsviewsettingspage.cpp dolphin.cpp
    dolphincontextmenu.cpp dolphindetailsview.cpp
    dolphindetailsviewsettings.cpp
    dolphindirlister.cpp dolphiniconsview.cpp
    dolphiniconsviewsettings.cpp dolphinsettings.cpp
    dolphinsettingsbase.cpp dolphinsettingsdialog.cpp
    dolphinstatusbar.cpp dolphinview.cpp
    editbookmarkdialog.cpp filterbar.cpp
    generalsettingspage.cpp iconsviewsettingspage.cpp
    infosidebarpage.cpp itemeffectsmanager.cpp
    main.cpp pixmapviewer.cpp progressindicator.cpp
    renamedialog.cpp settingspagebase.cpp
    sidebarpage.cpp sidebars.cpp sidebarssettings.cpp
    statusbarmessagelabel.cpp statusbarspaceinfo.cpp
    undomanager.cpp urlbutton.cpp urlnavigator.cpp
    urlnavigatorbutton.cpp viewproperties.cpp
    viewpropertiesdialog.cpp viewsettingspage.cpp
  LINK konq-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/pics/16x16/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png editurl.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/16x16/actions )

=== src/pics/22x22/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/22x22/actions )

=== src/pics/32x32/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/32x32/actions )

=== src/pics/48x48/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/48x48/actions )

## dolphin-trinity 3.5.13.2

=== debian/changelog ===
dolphin-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:21:28 +0200

dolphin-trinity (0.9.2-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

dolphin-trinity (0.9.2-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 08:18:00 -0600

dolphin-trinity (0.9.2-0ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 10:27:00 -0600

dolphin (0.9.2-0ubuntu6.1) hardy-proposed; urgency=low

  * Add kubuntu_09_addaspodcast_invalid_servicemenu.diff to fix 
    invalid addAsPodcast service menu. (Closes LP: #199393)

 -- Adam Spain <mail@adamspain.me.uk>  Sun, 08 Jun 2008 18:26:17 +0100

dolphin (0.9.2-0ubuntu6) hardy; urgency=low

  * Added kubuntu_07_open_as_root_supports_spaces.diff:
    - Closes LP: #209831

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 17 Apr 2008 22:52:12 +0200

dolphin (0.9.2-0ubuntu5) hardy; urgency=low

  * Fix patch kubuntu_02_change_name_to_dolphin.patch to use Dolphin
    name not D3lphin and to accept URLs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2008 14:30:49 +0000

dolphin (0.9.2-0ubuntu4) hardy; urgency=low

  * Rebuild with kdesdk-script 4:3.5.8-1ubuntu6 to ensure .desktop
    file translations are used

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2007 16:58:36 +0000

dolphin (0.9.2-0ubuntu3) hardy; urgency=low

  * added kubuntu_07_ark_contextmenu.diff
    fixes file compression for files and folders
    also adds .zip file support

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Sat, 01 Dec 2007 06:23:46 -0600

dolphin (0.9.2-0ubuntu2) gutsy; urgency=low

  * debian/patches/kubuntu_06_edit_category.diff: fix Category, so it
    doesn't show up on GNOME System Tools -menu. (LP: #151306)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 10 Oct 2007 17:59:46 +0300

dolphin (0.9.2-0ubuntu1) gutsy; urgency=low

  * New upstream version. 
    isoservice patch dropped, and compress.desktop servicemenu added.

 -- Stefan Skotte <sfs@enhance-it.dk>  Wed, 05 Sep 2007 23:59:58 +0200

dolphin (0.9.1-0ubuntu6) gutsy; urgency=low

  [ Juan Carlos G. Torres ]
  * Added kubuntu_05_trash_contextmenu.diff 
   - Allows items from Trash folder to be restored and for Trash folder to be emptied

  [ Jonathan Riddell ]
  * Add kubuntu_00_automake10.diff for automake 1.10 support

 -- Juan Carlos G. Torres <jucato@kubuntu.org>  Wed, 05 Sep 2007 17:44:01 +0800

dolphin (0.9.1-0ubuntu5) gutsy; urgency=low

  * Add users' folders to kubuntu_04_add_system_bookmark.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Aug 2007 13:33:19 +0100

dolphin (0.9.1-0ubuntu4) gutsy; urgency=low

  * Add more transations to kubuntu_02_change_name_to_dolphin.patch
    and make it set the mimetype and open with URL (%u) for system
    menu support
  * Add kubuntu_04_add_system_bookmark.diff to add bookmarks for
    system and system:/media, given these URLs nice icons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Aug 2007 12:57:39 +0100

dolphin (0.9.1-0ubuntu3) gutsy; urgency=low

  * Disable broken isoservice servicemenu entry. 

 -- Frode M. Døving <frode@ubuntu.com>  Mon, 30 Jul 2007 19:49:11 +0200

dolphin (0.9.1-0ubuntu2) gutsy; urgency=low

  * Fix typo in file name of kubuntu_01_kdepot.patch
  * Don't change internal name in kubuntu_02_change_name_to_dolphin.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Jul 2007 13:16:21 +0100

dolphin (0.9.1-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 14 May 2007 11:00:13 +0000

dolphin (0.8.2-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    + Add kubuntu_02_clean_desktop_file.patch
      - If set as default, Dolphin will not complain when opening
        URLs like remote:/ trash:/ ...
      - Dolphin supports inode/directory mimetype
      - Add French GenericName
  * debian/control:
    - Added Ubuntu Maintainer, moved old one to XSBC-Original-Maintainer

 -- Stephan Hermann <sh@sourcecode.de>  Fri, 25 May 2007 11:00:13 +0000

dolphin (0.8.2-2) unstable; urgency=low

  * debian/rules: remove /usr/share/locale/dolphin (Closes: #418644)

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 12 Apr 2007 22:22:11 +0530

dolphin (0.8.2-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 26 Jan 2007 22:41:23 +0530

dolphin (0.8.1-1) experimental; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun,  7 Jan 2007 23:15:34 +0530

dolphin (0.8.1-0ubuntu2) feisty; urgency=low

  * Add kubuntu_02_clean_desktop_file.patch
    - If set as default, Dolphin will not complain when opening
      URLs like remote:/ trash:/ ...
    - Dolphin supports inode/directory mimetype
    - Add French GenericName

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 06 Apr 2007 14:15:32 +1100

dolphin (0.8.1-0ubuntu1) feisty; urgency=low

  * New Upstream Version

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 11 Jan 2007 00:41:38 +1100

dolphin (0.8.0-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New upstream release

  [ Torsten Werner ]
  * Upload to experimental

 -- Torsten Werner <twerner@debian.org>  Thu, 28 Dec 2006 10:24:17 +0100

dolphin (0.7.0-2) unstable; urgency=low

  * debian/control: Improve the description.
  * debian/copyright: Change the download from url.
  * Improve the manpage debian/dolphin.1

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu,  7 Dec 2006 01:56:18 +0530

dolphin (0.7.0-1) unstable; urgency=low

  * Initial upload (Closes: #373291)
  * New upstream release
  * Add debian/watch file
  * Add Homepage to debian/control file


=== debian/control ===
Source: dolphin-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 5), quilt, cdbs, kdelibs4-trinity-dev, libkonq4-trinity-dev, kdebase-trinity-dev, docbook2x, docbook-xml, libtool, libltdl-dev, cmake
Standards-Version: 3.8.4

Package: dolphin-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: dolphin-kde3 (<< 4:3.5.13)
Breaks: dolphin-kde3 (<< 4:3.5.13)
Recommends: amarok-trinity, ark-trinity, k3b-trinity, kmail-trinity, digikam-trinity
Suggests: kfloppy-trinity
Description: File manager for KDE focusing on usability [Trinity]
 Dolphin is not intended to be a competitor to Konqueror, the default KDE
 file manager: Konqueror acts as universal viewer being able to show HTML
 pages, text documents, directories and a lot more, whereas Dolphin focuses
 on being only a file manager. This approach allows to optimize the user
 interface for the task of file management.
 .
 Features include:
  Sidebar
  Navigation bar (breadcrumbs)
  View properties remembered for each folder
  Split views
  Network transparency
  Undo/redo functionality
  Renaming of a variable number of selected items in one step.
 .
 This is the D3lphin fork of Dolphin, intended to keep development of
 the KDE 3 version of Dolphin active.
 .
  Homepage: https://marrat.homelinux.org/D3lphin

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/dolphin-trinity::
	mkdir -p debian/dolphin-trinity/opt/trinity/bin
	ln -s d3lphin debian/dolphin-trinity/opt/trinity/bin/dolphin
	mv debian/dolphin-trinity/usr/share/man debian/dolphin-trinity/opt/trinity/share/

## dolphin-trinity 14.1.0

=== debian/changelog ===
dolphin-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 20:22:00 +0200

=== debian/control ===
Source: dolphin-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libkonq4-trinity-dev, tdebase-trinity-dev
Standards-Version: 3.8.4

Package: dolphin-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: dolphin-kde3 (<< 4:14.0.0~), dolphin-trinity (<< 4:14.0.0~)
Breaks: dolphin-kde3 (<< 4:14.0.0~), dolphin-trinity (<< 4:14.0.0~)
Recommends: amarok-trinity, ark-trinity, k3b-trinity, kmail-trinity, digikam-trinity
Suggests: kfloppy-trinity
Description: File manager for TDE focusing on usability [Trinity]
 Dolphin is not intended to be a competitor to Konqueror, the default TDE
 file manager: Konqueror acts as universal viewer being able to show HTML
 pages, text documents, directories and a lot more, whereas Dolphin focuses
 on being only a file manager. This approach allows to optimize the user
 interface for the task of file management.
 .
 Features include:
  Sidebar
  Navigation bar (breadcrumbs)
  View properties remembered for each folder
  Split views
  Network transparency
  Undo/redo functionality
  Renaming of a variable number of selected items in one step.
 .
 This is the D3lphin fork of Dolphin, intended to keep development of
 the TDE version of Dolphin active.
 .
  Homepage: https://marrat.homelinux.org/D3lphin

## dolphin-trinity 14.1.1

=== debian/changelog ===
dolphin-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:50:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: dolphin-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: dolphin-kde3 (<< 4:14.0.0~), dolphin-trinity (<< 4:14.0.0~)
-Breaks: dolphin-kde3 (<< 4:14.0.0~), dolphin-trinity (<< 4:14.0.0~)
+Replaces: dolphin-trinity (<< 4:14.0.0~)
+Breaks: dolphin-trinity (<< 4:14.0.0~)
 Recommends: amarok-trinity, ark-trinity, k3b-trinity, kmail-trinity, digikam-trinity
 Suggests: kfloppy-trinity
 Description: File manager for TDE focusing on usability [Trinity]

## dolphin-trinity 14.1.2

=== debian/changelog ===
dolphin-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 24 Mar 2024 10:43:38 +0100

## dolphin-trinity 14.1.3

=== debian/changelog ===
dolphin-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 23:09:51 +0200

## dolphin-trinity 14.1.4

=== debian/changelog ===
dolphin-trinity (4:14.1.4-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

binary-install/dolphin-trinity::
	mkdir -p debian/$(cdbs_curpkg)/opt/trinity/bin
	ln -s d3lphin debian/$(cdbs_curpkg)/opt/trinity/bin/dolphin

## dolphin-trinity 14.1.5~pre5

=== debian/changelog ===
dolphin-trinity (4:14.1.5~pre5-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for bce354fc08c4301856c57b65908df884cae82484
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## dolphin-trinity 14.1.5~pre6

=== debian/changelog ===
dolphin-trinity (4:14.1.5~pre6-0debian12.0.0+3) bookworm; urgency=low

  * Automated git build for 30fbae065d5166c61ab52decb4514e7d688b9045
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libkonq4-trinity-dev, tdebase-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libkonq4-trinity-dev, tdebase-trinity-dev
 Standards-Version: 3.8.4
 
 Package: dolphin-trinity

## dolphin-trinity 14.1.5

=== src/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_auto_add_subdirectories( )

=== src/servicemenus/CMakeLists.txt ===
file( GLOB _services RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.desktop )

tde_create_translated_desktop(
    SOURCE ${_services}
    DESTINATION ${DATA_INSTALL_DIR}/d3lphin/servicemenus
    PO_DIR servicemenus
)

=== src/pics/128x128/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/128x128/actions )

=== src/pics/64x64/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    preview.png
  DESTINATION ${DATA_INSTALL_DIR}/d3lphin/icons/hicolor/64x64/actions )

=== debian/changelog ===
dolphin-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Nov 2025 22:11:58 +0100

## dolphin-trinity 14.1.6~pre3

=== debian/changelog ===
dolphin-trinity (4:14.1.6~pre3-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for ac13c18e2c6612f7a96d5a7b440d76a6f551c53c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 22:38:36 +0100

## dolphin-trinity 14.1.6~pre4

=== debian/changelog ===
dolphin-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8bfafb4350ac31055bdd01ace5fc279aac515140
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 22:33:28 +0100

## dolphin-trinity 14.1.6~pre5

=== debian/changelog ===
dolphin-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f19a038bf231e14bde372df79a6d53ef9fde1240
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:02:50 +0100

## dolphin-trinity 14.1.6~pre6

=== debian/changelog ===
dolphin-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 07ad76d05b04a3eb50e4010c0eb6e32325eee96d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Jan 2026 22:29:47 +0100

## dolphin-trinity 14.2.0~pre99

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre99-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 135b9ba7e84c861486fc9eb4ba713677df712285
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## dolphin-trinity 14.2.0~pre103

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre103-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for d23a24915acb44c90f59904bad359fe33b61fa1d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 21:52:58 +0200

## dolphin-trinity 14.2.0~pre106

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre106-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 5b4c1208c59ba4ae83e0e9fd555ef314074edf18
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 12 Nov 2025 15:16:28 +0100

## dolphin-trinity 14.2.0~pre107

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre107-0ubuntu24.10.0+6) oracular; urgency=low

  * Automated git build for a10607db2c5acc77a0f3f86b2f2f6890b0edd6b8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 19:47:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## dolphin-trinity 14.2.0~pre108

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre108-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ffe5fc7d05e385adbdf1a689165c912e21a460bb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 18:30:30 +0100

## dolphin-trinity 14.2.0~pre109

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre109-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2875f7a884fb5ec118e7da5ce687152e193c2b86
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:05:11 +0100

## dolphin-trinity 14.2.0~pre110

=== debian/changelog ===
dolphin-trinity (4:14.2.0~pre110-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d3f985ef64b8af525636cdfeff00c040021dfb85
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dolphin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 23:51:43 +0100
